/// class PD.Manage.Modules.Resources.ResourcesCommands
// using PD.Commands.CommandGroup

PD.Manage.Modules.Resources.ResourcesCommands =
PD.Commands.CommandGroup.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    registerCommands: function (e) {
        e.commands.add(new PD.Manage.Modules.Resources.FolderCreateDialogCommand());
        e.commands.add(new PD.Manage.Modules.Resources.FileUploadDialogCommand());
        e.commands.add(new PD.Manage.Modules.Resources.ResourceDeleteCommand());
        e.commands.add(new PD.Manage.Modules.Resources.UploadZipDialogCommand());
        e.commands.add(new PD.Manage.Modules.Resources.DownloadZipCommand());
        e.commands.add(new PD.Manage.Modules.Resources.DownloadZipFolderCommand());
        e.commands.add(new PD.Manage.Modules.Resources.ResourceMoveCommand());
        e.commands.add(new PD.Manage.Modules.Resources.ResourcePropertiesDialogCommand());
        e.commands.add(new PD.Manage.Modules.Resources.FolderPropertiesDialogCommand());
        e.commands.add(new PD.Manage.Modules.Resources.FilePropertiesDialogCommand());
        e.commands.add(new PD.Manage.Modules.Resources.ResourceOpenCommand());
        e.commands.add(new PD.Manage.Modules.Resources.FolderOpenCommand());
        e.commands.add(new PD.Manage.Modules.Resources.FileOpenCommand());
    }

});